import java.awt.Component;
import java.awt.Container;

/**
 * Special type of container designed to hold exactly one component.
 */
public class ComponentWell extends Container {
	// ### INIT ###
	
	public ComponentWell() {
		this.setLayout(new FillLayout());
	}
	
	public ComponentWell(Component component) {
		this();
		this.setComponent(component);
	}
	
	// ### ACCESSORS ###
	
	public void setComponent(Component component) {
		while (this.getComponentCount() != 0) {
			this.remove(0);
		}
		if (component != null) {
			this.add(component);
		}
		
		// Make sure the new component is drawn
		this.invalidate();
		this.validate();
		this.repaint();		// XXX
	}
	
	public Component getComponent() {
		return (this.getComponentCount() != 0)
			? this.getComponent(0)
			: null;
	}
}